For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
          • Invoice Management
              • GETList Payments
              • GETGet Payment Detail
              • DELDelete Payment
              • GETGet Payment Operation
              • POSTPerform Payment Operation
              • PUTUpdate Payment Processing Status
              • GETList Payment Transactions
              • POSTCreate Offline Payment
              • PUTUpdate Offline Payment
          • Orders
          • Payment
          • Quotes
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementInvoice ManagementPayments

Get Payment Detail

GET
https://api-b2b.bigcommerce.com/api/v3/io/ip/payments/:paymentId
GET
/api/v3/io/ip/payments/:paymentId
$curl https://api-b2b.bigcommerce.com/api/v3/io/ip/payments/1.1 \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "code": 200,
3 "data": {
4 "id": 117,
5 "createdAt": 1635932127,
6 "updatedAt": 1635932127,
7 "storeHash": "rtmh8fqr05",
8 "customerId": "6041",
9 "externalId": null,
10 "externalCustomerId": null,
11 "payerName": "Check",
12 "payerCustomerId": "6041",
13 "details": {
14 "memo": "Payment received via offline check"
15 },
16 "moduleName": "payments_offline",
17 "fees": [],
18 "moduleData": {
19 "transactions": [
20 {
21 "memo": "Offline payment recorded",
22 "type": "OfflineTransaction",
23 "rawTransaction": null
24 }
25 ]
26 },
27 "processingStatus": 3,
28 "appliedStatus": 1,
29 "fundingStatus": 2,
30 "total": {
31 "code": "GBP",
32 "value": "0.7800"
33 },
34 "lineItems": [
35 {
36 "paymentId": 117,
37 "invoiceId": 141,
38 "invoiceNumber": "00000141",
39 "amount": {
40 "code": "GBP",
41 "value": "0.7800"
42 }
43 }
44 ],
45 "customerName": "John Doe",
46 "allowedOperations": [
47 0,
48 1,
49 2
50 ],
51 "allowedStatuses": [
52 1,
53 2,
54 3,
55 4
56 ],
57 "channelId": "12345",
58 "channelName": "Online Store"
59 },
60 "meta": {
61 "message": "SUCCESS"
62 }
63}
Get payment detail
Was this page helpful?
Previous

List Payments

Next

Delete Payment

Built with

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Path parameters

paymentIddoubleRequired
Payment ID

Response

OK
codedouble
dataobject
metaobject

Errors

404
Not Found Error